TYPO3.Flow - Bug # 33707

Status: Resolved Priority: Must have

Author: Patrick Pussar Category: Security

Created: 2012-02-06 Assigned To: Karsten Dambekalns
Updated: 2012-02-22 Due date:

PHP Version: 5.3

Has patch: No

Complexity: no-brainer

Affected Flow version: FLOW3 1.0.0

Subject: It is possible to authenticate with an expired account

Description

authenticationManager->authenticate() works even with expired account: account->getExpirationDate() is in the past.

Associated revisions

Revision b1cbf2ba - 2012-02-09 10:53 - Karsten Dambekalns
[BUGFIX] Makes account expiry work as expected

The expiry if an account was checked in a way that left an account
enabled until after it's last day. Now it will expire exactly when

it should.

Change-Id: 197a70cb167b61e37183f88a23aabf2c9aec498d7
Fixes: #33707

Releases: 1.0, 1.1

Revision 873bdd53 - 2012-02-20 21:36 - Karsten Dambekalns
[BUGFIX] Makes account expiry work as expected

The expiry if an account was checked in a way that left an account
enabled until after it's last day. Now it will expire exactly when

it should.

Change-Id: 1974f91032412c60fdc22fcf8bb68ef125099d3e5

Fixes: #33707
Releases: 1.0, 1.1

History

#1 - 2012-02-06 17:46 - Patrick Pussar

After some investigation | found out that this feature works actually, but only on day basis.
| would assumed that it would work also on Minute basis.

The query defined in AccountRepository.php just checks on day basis:

$query->greaterThan('expirationDate’, new \DateTime(‘today'))
but | would assume this check:
$query->greaterThan('expirationDate', new \Date Time())

#2 - 2012-02-09 09:38 - Karsten Dambekalns
- Status changed from New to Accepted

- Assigned To set to Karsten Dambekalns

- Target version setto 1.1

- Complexity set to no-brainer

#3 - 2012-02-09 10:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.0.3

#4 - 2012-02-09 10:53 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/8926

#5 - 2012-02-20 21:36 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/9129

#6 - 2012-02-22 14:47 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:873bdd5376defbd863929258b2e52f63b8b73dbe.

2015-08-03

22


http://review.typo3.org/8926
http://review.typo3.org/9129

